org.eclipse.incquery.viewmodel.traceability.patterns.util

## Class Trace2paramQuerySpecification

- java.lang.Object
- - org.eclipse.incquery.runtime.api.impl.BaseQuerySpecification<Matcher>
  - - org.eclipse.incquery.runtime.api.impl.BaseGeneratedEMFQuerySpecification<Trace2paramMatcher>
    - - org.eclipse.incquery.viewmodel.traceability.patterns.util.Trace2paramQuerySpecification

- All Implemented Interfaces:
    IQuerySpecification<Trace2paramMatcher>, PQueryHeader

      public final class Trace2paramQuerySpecification
      extends BaseGeneratedEMFQuerySpecification<Trace2paramMatcher>

  A pattern-specific query specification that can instantiate Trace2paramMatcher in a type-safe way.
  See Also:
    `Trace2paramMatcher`, `Trace2paramMatch`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Trace2paramQuerySpecification` | `instance()`
    `Trace2paramMatch` | `newEmptyMatch()` Returns an empty, mutable Match compatible with matchers of this query.
    `Trace2paramMatch` | `newMatch(java.lang.Object... parameters)` Returns a new (partial) Match object compatible with matchers of this query.

    - ### Methods inherited from class org.eclipse.incquery.runtime.api.impl.BaseGeneratedEMFQuerySpecification

      `getPreferredScopeClass`

    - ### Methods inherited from class org.eclipse.incquery.runtime.api.impl.BaseQuerySpecification

      `getAllAnnotations, getAnnotationsByName, getFirstAnnotationByName, getFullyQualifiedName, getInternalQueryRepresentation, getMatcher, getMatcher, getParameterNames, getParameters, getPositionOfParameter`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### instance

          public static Trace2paramQuerySpecification instance()
                                                        throws IncQueryException

      Returns:
        the singleton instance of the query specification
      Throws:
        `IncQueryException` - if the pattern definition could not be loaded

    - #### newEmptyMatch

          public Trace2paramMatch newEmptyMatch()

      Description copied from interface: `IQuerySpecification`
      Returns an empty, mutable Match compatible with matchers of this query. Fields of the mutable match can be filled to create a partial match, usable as matcher input. This can be used to call the matcher with a partial match even if the specific class of the matcher or the match is unknown.
      Returns:
        the empty match

    - #### newMatch

          public Trace2paramMatch newMatch(java.lang.Object... parameters)

      Description copied from interface: `IQuerySpecification`
      Returns a new (partial) Match object compatible with matchers of this query. This can be used e.g. to call the matcher with a partial match.

      The returned match will be immutable. Use `IQuerySpecification.newEmptyMatch()` to obtain a mutable match object.

      Parameters:
        `parameters` - the fixed value of pattern parameters, or null if not bound.
      Returns:
        the (partial) match object.